import java.util.*;
import java.io.*;

public class Simput {
	static private boolean error;
	static private String  errorDescription = "";
	
	static public int gint() {
		int eingabe = 0;
		@SuppressWarnings("resource")
		Scanner input = new Scanner(System.in);
		try {
			eingabe = input.nextInt();
			error = false;
			errorDescription = "";
		} catch(Exception e) {
			error = true;
			errorDescription = e.getMessage();
			System.out.println("Falsche Eingabe!\n");
		}
		return eingabe;
	}	

	static public long glong() {
		long eingabe = 0;
		@SuppressWarnings("resource")
		Scanner input = new Scanner(System.in);
		try {
			eingabe = input.nextLong();
			error = false;
			errorDescription = "";
		} catch(Exception e) {
			error = true;
			errorDescription = e.getMessage();
			System.out.println("Falsche Eingabe!\n");
		}
		return eingabe;
	}	
	
	static public double gdouble() {
		double eingabe = 0.0;
		@SuppressWarnings("resource")
		Scanner input = new Scanner(System.in);
		try {
			eingabe = input.nextDouble();
			error = false;
			errorDescription = "";
		} catch(Exception e) {
			error = true;
			errorDescription = e.getMessage();
			System.out.println("Falsche Eingabe!\n");
		}
		return eingabe;
	}

	static public char gchar() {
		char eingabe = '?';
		@SuppressWarnings("resource")
		Scanner input = new Scanner(System.in);
		try {
			eingabe = input.next().charAt(0);
			error = false;
			errorDescription = "";
		} catch(Exception e) {
			error = true;
			errorDescription = "Fehler beim Lesen aus System.in";
			System.out.println("Fehler beim Lesen aus System.in\n");
		}
		return eingabe;
	}

	static public void went() {  // Wait for Enter
		BufferedReader in = new BufferedReader(
		  new InputStreamReader(System.in));
		try {
			in.readLine();
			error = false;
			errorDescription = "";
		} catch(Exception e) {
			error = true;
			errorDescription = "Unbekannter Fehler";
			System.out.println("Unbekannter Fehler\n");
		}
	}

	static public boolean checkError() {
		return error;
	}	

	static public String getErrorDescription() {
		return errorDescription;
	}
}
