import java.io.*;
import java.nio.file.*;

class Filterklassen {
	public static void main(String[] args) throws IOException {
		Path file = Paths.get("demo.dat");
		int[] iar = {1024, 2048, 4096, 8192};

		try (DataOutputStream dos = new DataOutputStream(Files.newOutputStream(file))) {
			for(int el : iar)
				dos.writeInt(el);
		}

		try (DataInputStream dis = new DataInputStream(Files.newInputStream(file))) {
			for(int i = 0; i < iar.length; i++)
				System.out.println(iar[i] = dis.readInt());
		}
	}
}