package de.uni_trier.zimk.attendance;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Alert;
import javafx.stage.Stage;

public class Attendance extends Application {
    static private AttendanceModel am;

    @Override
    public void start(Stage primaryStage) {
        am = new AttendanceModel();
        Parent root = null;
        try {
            root = FXMLLoader.load(getClass().getResource("attendance.fxml"));
        } catch (Exception e) {
            System.err.println("Fehler beim Lesen der Layout-Spezifikation\n");
            e.printStackTrace();
            Platform.exit();
        }
        primaryStage.setScene(new Scene(root));
        primaryStage.setTitle("Anwesenheitskontrolle");
        primaryStage.setMinWidth(400);
        primaryStage.setMinHeight(150);
        primaryStage.show();
    }

    static public AttendanceModel getModel() {
        return am;
    }

    public static void main(String[] args) {
        launch(args);
    }
}
