package de.uni_trier.zimk.attendance;

import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.ListView;
import javafx.scene.control.TextField;

public class Controller {
    @FXML
    private Button btnAdd;
    @FXML
    private Button btnRemove;
    @FXML
    private TextField tfName;
    @FXML
    private ListView<String> lvPersons;

    private AttendanceModel am;

    @FXML
    public void initialize() {
        am = Attendance.getModel();

        lvPersons.setItems(am.getSortedList());

        btnAdd.setOnAction(event -> {
            String s = tfName.getText();
            if (s.length() != 0)
                am.add(s);
        });

        btnRemove.setOnAction(event ->
                am.remove(lvPersons.getSelectionModel().getSelectedItem()));
    }

}
