import java.util.concurrent.BlockingQueue;

class ProThread extends Thread {
	private BlockingQueue<Integer> depot;
	private int[] produkte = {1, 2, 3};
	Thread konsument;
	
	ProThread(BlockingQueue<Integer> dep, Thread kon) {
		depot = dep;
		konsument = kon;
	}

	@Override
	public void run() {
		for(int i = 0; i < produkte.length; i++) {
			System.out.println("\nDer Produzent liefert gleich.");
			depot.add(produkte[i]);
			try {sleep(10);} catch(InterruptedException ie) {interrupt();}
			System.out.println("Kurz nach der Lieferung ist der Konsument " +
					           konsument.getState());
			try {sleep(5000);} catch(InterruptedException ie) {interrupt();}
			System.out.println("Produzent wacht auf, Konsument ist " +
					           konsument.getState());
		}
	}
}