package de.uni_trier.zimk.figuren;

abstract public class Figur {
	protected double xpos = 100.0, ypos = 100.0;

	public Figur(double x, double y) {
		if (x >= 0 && y >= 0) {
			xpos = x;
			ypos = y;
		}
	}

	public Figur() {}

	public void wo() {
		System.out.println("\nOben links: (" + xpos + ", " + ypos + ") ");
	}

	final public void oleck() {
		System.out.print("\nOben links: (" + xpos + ", " + ypos + ") ");
	}

	abstract public double meldeInhalt();
	
	abstract public double abstand(double x, double y);
}