package de.uni_trier.zimk.figuren;

public class Rechteck extends Figur {
	protected double breite = 50.0, hoehe = 50.0;
	
	public Rechteck(double x, double y, double b, double h) {
		super(x, y);
		if (b >= 0 && h >= 0) {
			breite = b;
			hoehe = h;
		}
	}
	
	public Rechteck() {}

	@Override
	public void wo() {
		super.wo();
		System.out.println("Unten rechts: (" + (xpos+breite) +
						", " + (ypos+hoehe) + ")");
	}

	@Override
	public double meldeInhalt() {
		return breite * hoehe;
	}
}

