import java.io.*;

class TryWithResources {
	static void mean(String eingabe) {
		try (DataInputStream dis = new DataInputStream(new FileInputStream(eingabe))) {
			double sum = 0.0;
			int n = 0;
			while (dis.available() > 0) {
				n++;
				sum += dis.readDouble();
			}
			System.out.println("Mittelwert zur Datei " + eingabe + ":  " + sum/n);
		} catch (IOException ioe) {
			ioe.printStackTrace();
		}
	}

	static void createData(String eingabe) {
			try (DataOutputStream dos = new DataOutputStream(new FileOutputStream(eingabe))) {
				java.util.Random ran = new java.util.Random();
				for (int i = 1; i <= 100; i++)
					dos.writeDouble(ran.nextDouble());
			} catch (IOException ioe) {
				ioe.printStackTrace();
			}
	}
	
	public static void main(String args[]) {
		createData("eingabe.dat");	
		mean("eingabe.dat");
	}
}
