class Sequenzen {
	static int calc(String instr) {
		int arg = 0;
		try {
			System.out.println("try-Block von calc()");
			arg = Integer.parseInt(instr);
			arg = 10 % arg;
		} catch (NumberFormatException e) {
			System.out.println("NumberFormatException-Handler in calc()");
		//			System.out.println(e.getMessage());
		//			System.out.println(e);
			e.printStackTrace();
		} finally {
			System.out.println("finally-Block von calc()");
		}
		System.out.println("Nach try-Anweisung in calc()");
		return arg;
	}

	public static void main(String[] args) {
		try {
			System.out.println("try-Block von main()");
			System.out.println("10 % "+args[0]+" = "+calc(args[0]));
		} catch (ArithmeticException e) {
			System.out.println("ArithmeticException-Handler in main()");
		} finally {
			System.out.println("finally-Block von main()");
		}
		System.out.println("Nach try-Anweisung in main()");
	}
}