import java.io.*;

class FileInputStreamDemo {
	public static void main(String[] args) throws IOException{
		String name = "demo.txt";
		byte[] arr = {0, 1, 2, 3, 4, 5, 6, 7};

		try (FileOutputStream fos = new FileOutputStream(name)) {
			fos.write(arr);
		}

		int anfang, gelesen;
		byte[] rest = new byte[10];
		try (FileInputStream fis = new FileInputStream(name)) {
			System.out.println("Verfügbar in Datei:    " + fis.available());
			anfang = fis.read();
			System.out.println("Verfügbar nach read(): " + fis.available());
			gelesen = fis.read(rest);
			System.out.print("Eingelesen:            " + anfang);
			for (int i = 0; i < gelesen; i++)
				System.out.print(rest[i]);
		}
	}
}