import java.util.*;

public final class CharMap {
	private CharMap() {}

	public static Map<Character, Mint> countLetters(String text) {
		return count(text, false);
	}

	public static NavigableMap<Character, Mint> countSortedLetters(String text) {
			return (NavigableMap<Character,Mint>) count(text, true);
	}

	private static Map<Character, Mint> count(String text, boolean sorted) {
		Map<Character, Mint> fred;
		if (sorted)
			fred = new TreeMap<>();
		else
			fred = new HashMap<>();
		Mint temp;
		for (int i = 0; i < text.length(); i++) {
			char pc = text.charAt(i);
			if (Character.isLetter(pc)) {
				Character c = pc;
				if (fred.containsKey(c)) {
					temp = fred.get(c);
					temp.val++;
					fred.replace(c, temp);
				} else
					fred.put(c, new Mint(1));
			}
		}
		return fred;
	}

//	static Map<Character, Mint> countLetters(String text) {
////		HashMap<Character, Mint> fred = new HashMap<>();
//		TreeMap<Character, Mint> fred = new TreeMap<>();
//		Mint temp;
//		for (int i = 0; i < text.length(); i++) {
//			char pc = text.charAt(i);
//			if (Character.isLetter(pc)) {
//				Character c = pc;
//				if (fred.containsKey(c)) {
//					temp = fred.get(c);
//					temp.val++;
//					fred.replace(c, temp);
//				} else
//					fred.put(c, new Mint(1));
//			}
//		}
//		return fred;
//	}
}
