import java.text.DateFormat;
import java.util.Date;
import java.util.concurrent.*;

class CallableDemo {
	public static void main(String[] args) throws InterruptedException {
		DateFormat df = DateFormat.getDateTimeInstance();
		ExecutorService es = Executors.newSingleThreadExecutor();
		Future<Double> fd = es.submit(new RandomNumberCruncher());
		while (!fd.isDone()) {
			System.out.println("Warten auf call() - Ende (" + df.format(new Date()) + ")");
			Thread.sleep(1_000);
		}
		try {
			System.out.println("\nMittelwert der Zufallszahlen: " + fd.get());
		} catch (Exception e) {
			System.out.println("\nException beim get() - Aufruf:\n  "+e);
		}
		es.shutdown();
	}
}