import java.io.IOException;
import java.io.PipedOutputStream;

class ProThread extends Thread {
	private PipedOutputStream pipedOutStream;
	private int[] produkte = {1, 2, 3};
	Thread konsument;
	
	ProThread(PipedOutputStream pos, Thread kon) {
		pipedOutStream = pos;
		konsument = kon;
	}

	@Override
	public void run() {
		try (PipedOutputStream pos = pipedOutStream) {
			for (int i = 0; i < produkte.length; i++) {
				System.out.println("\nDer Produzent liefert gleich.");
				pos.write(produkte[i]);
				pos.flush();
				try {sleep(500);} catch(InterruptedException ie) {interrupt();}
				System.out.println("Kurz nach der Lieferung ist der Konsument "+konsument.getState());
				try {sleep(5000);} catch(InterruptedException ie) {interrupt();}
				System.out.println("Produzent wacht auf, Konsument ist "+konsument.getState());
			}
		} catch (IOException ioe) {
			ioe.printStackTrace();
		}
	}
}